// creator  : weidu.exe (version 23100)
// argument : _HALFG4.DLG
// game		 : .
// source	 : ./override/_HALFG4.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_HALFG4~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 8 even though they appear after this state */
~NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #77874 /* ~Wow, are you going to the Firewine Ruins?  You must be brave an' stuff.  I wanted to go there someday, but Nanna wouldn't like it.~ */
  IF ~ReactionGT(LastTalkedToBy(Myself),HOSTILE_UPPER)
~ THEN REPLY #77875 /* ~Your Nanna sounds wise.  Best you wait until you can take care of yourself before you set out on your own.~ */ GOTO 1
  IF ~ReactionLT(LastTalkedToBy(Myself),NEUTRAL_LOWER)
~ THEN REPLY #77875 /* ~Your Nanna sounds wise.  Best you wait until you can take care of yourself before you set out on your own.~ */ GOTO 2
  IF ~~ THEN REPLY #77876 /* ~It's just as well.  A baby like you wouldn't last a second out from under the apron!~ */ GOTO 3
  IF ~ReactionGT(LastTalkedToBy(Myself),HOSTILE_UPPER)
~ THEN REPLY #77877 /* ~Nonsense!  One day you'll bring her home a gem the size of your fist and she'll change her mind.~ */ GOTO 4
  IF ~ReactionLT(LastTalkedToBy(Myself),NEUTRAL_LOWER)
~ THEN REPLY #77877 /* ~Nonsense!  One day you'll bring her home a gem the size of your fist and she'll change her mind.~ */ GOTO 5
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #77878 /* ~Yeah, Nanna knows a lot about everything.  I'll stay here 'til I'm strong like you, then go traveling.  I hear of lots of wonderful places from the merchants and caravans.  You better go.  Nanna will get nervous if she sees you talking with me.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #77879 /* ~I take care of myself fine!  Nanna just needs me here to help out, so it wouldn't be fair to her to leave. You better go.  Nanna will get nervous if she sees you talking with me.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #77880 /* ~A baby!  I'll show you AND Nanna!  I just gotta get a little bit older and I'm off and running.  I'll go everywhere you have and better!  You'll see!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from: 0.3
  SAY #77881 /* ~You think she would?  YEAH!  She would like that.  I'll get just a bit older and then watch all the great things I'll bring back!  Thanks!  I'll be just like you!  I bet your poppa's proud of you!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 5 // from: 0.4
  SAY #77882 /* ~Well, I dunno.  Nanna never wanted stuff like that before.  I better think about it some more.  Thanks for the talk.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 /* Triggers after states #: 8 even though they appear after this state */
~ReactionGT(LastTalkedToBy(Myself),HOSTILE_UPPER)
~ THEN BEGIN 6 // from:
  SAY #77883 /* ~Hi again!  Better be quiet 'cause Nanna doesn't want you makin' me leave.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 /* Triggers after states #: 8 even though they appear after this state */
~ReactionLT(LastTalkedToBy(Myself),NEUTRAL_LOWER)
~ THEN BEGIN 7 // from:
  SAY #77884 /* ~You go away!  I'll show you an' everybody soon enough!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 8 // from:
  SAY #77885 /* ~I wish my Nanna would let me go out with you.  I wish, I wish... awwww, she'll never let me go.  Before you go, how 'bout I give you somethin' to help you out.  I know its really valuable, 'cause Nanna keeps it all locked up.  I kinda borrowed it for awhile, but now I want you to have it.  Here ya go.  Come back soon and tell me 'bout all your adventures.~ */
  IF ~~ THEN DO ~GiveItem("_POTN40",LastTalkedToBy)
~ EXIT
END

IF ~~ THEN BEGIN 9 // from:
  SAY #75335 /* ~Not to be rude, but I'd rather you left immediately.~ */
  IF ~~ THEN EXIT
END
